Bug 256251 - Please add some basic file management functions to the viewer
Summary: Please add some basic file management functions to the viewer
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-06 19:32 UTC by Tobias Leupold
Modified: 2014-06-23 22:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Leupold 2010-11-06 19:32:50 UTC
Version:           unspecified
OS:                Linux

When I want to have some photos on paper, I browse through my collection and copy the photos I want to some temporary directory. Same thing if someone looks at my photos and wants to have some.

In Gwenview, I can simply press F7 (or right-click and select "Copy to...") and copy the file I see somewhere I want. It would be really cool if this (at leat copy and move) could also be done from the image and thumbnail viewer of KPA, as the Gwenview approach is limited to the pictures in one directory and I'm lost when e. g. displaying all photos of the last five years with one person or so ;-)

Reproducible: Always
Comment 1 Mark Harrison 2011-01-23 11:24:18 UTC
This is already possible in kphotoalbum.  When in thumbnail view, select all of the images you want to copy.  Then, select File->Export/Copy Images.  In the resulting menu, select "Automatically copy next to .kim file" and click OK.  Then you'll be able to choose where you want to copy the pictures.  You will need to type a name for the .kim file that will be created in the same directory, but this file can be safely ignored.  It just contains the tag information for the pictures in case someone else wants to import these photos in their kphotoalbum database.

You can see the documentation on this feature here:
http://docs.kde.org/development/en/extragear-graphics/kphotoalbum/chp-importExport.html
Comment 2 Tobias Leupold 2011-01-23 12:17:09 UTC
I know, but this is not what I (and others?) need ... It's not necessary to copy the metadata, so this actual export is too much for me. Additionally, this can't be used from the image viewer, but only from the thumbnail view – and this makes it unuseable for what I do, as the thumbnails are often too small to make a decision.

A simple "just copy/move and don't do anything else" would be way more handy in my opinion. The possibility to simply press F7/F8 (or whatever you want) to copy/move a file, perhaps also from the context menu of the thumbnail/image view would be really great.
Comment 3 Tobias Leupold 2012-01-30 19:55:21 UTC
Perhaps, Bug #269687 would be also covered by adding this functionality? Resp. this should be also implemented once my proposal would be.
Comment 4 Johannes Zarl-Zierl 2014-06-23 22:03:02 UTC
Git commit 40061f5ca81e2f95dc62e3d5554deb14d1cb2835 by Johannes Zarl.
Committed on 21/06/2014 at 19:44.
Pushed by johanneszarl into branch 'master'.

Implement copying images from the Viewer.

Select in the context menu or by pressing F7, as it is possible in GwenView.
Thanks to Tobias Leupold, who submitted this patch!

M  +26   -0    Viewer/ViewerWidget.cpp
M  +3    -0    Viewer/ViewerWidget.h

http://commits.kde.org/kphotoalbum/40061f5ca81e2f95dc62e3d5554deb14d1cb2835